## jenkins-winstone 0.9.10-jenkins

=== Makefile ===

########################################################################################
# Makefile for GCJ compilation of Winstone Servlet Container to native binary
#
# Currently works under linux only - mingw compilation unsupported
#
# Author: Rick Knowles
#
########################################################################################

CC = gcj
CFLAGS = -ffast-math -funroll-loops

WINSTONE_JAVA_BASE = ./winstone/src/java
WINSTONE_RES_BASE = ./winstone/src/conf
CRIMSON_BASE = ./crimson-src

WINSTONE_LITE_O = winstone_lite.o winstone_res1.o
WINSTONE_AJP_O = winstone_ajp.o winstone_ajp_res1.o
WINSTONE_AUTH_O = winstone_auth.o winstone_realm.o winstone_auth_res1.o winstone_realm_res1.o
WINSTONE_CLUSTER_O = winstone_cluster.o winstone_cluster_res1.o
WINSTONE_CLASSLOADER_O = winstone_classloader.o winstone_classloader_res1.o
WINSTONE_JNDI_O = winstone_jndi.o winstone_jndi_res1.o winstone_jndi_res2.o
WINSTONE_SSL_O = winstone_ssl.o winstone_ssl_res1.o
WINSTONE_INVOKER_O = winstone_invoker.o winstone_invoker_res1.o
SERVLET_O = servlet.o servlet_res1.o servlet_res2.o
CRIMSON_O = crimson.o crimson_res1.o crimson_res2.o javax_xml.o xml_api.o
JSP_API_O = jsp_api.o jsp_api_res1.o jsp_api_res2.o jsp_api_res3.o jsp_api_res4.o jsp_api_res5.o jsp_api_res6.o

all:	$(WINSTONE_LITE_O) $(WINSTONE_AJP_O) $(WINSTONE_AUTH_O) $(WINSTONE_CLUSTER_O) $(WINSTONE_JNDI_O) $(WINSTONE_CLASSLOADER_O) $(WINSTONE_SSL_O) $(WINSTONE_INVOKER_O) $(SERVLET_O) $(CRIMSON_O) $(JSP_API_O)
	$(CC) $(CFLAGS) --main=winstone.Launcher -o winstone_lite $(WINSTONE_LITE_O) $(SERVLET_O) $(CRIMSON_O)
	$(CC) $(CFLAGS) --main=winstone.Launcher -o winstone_full $(WINSTONE_LITE_O) $(SERVLET_O) $(CRIMSON_O) $(WINSTONE_AUTH_O) $(WINSTONE_AJP_O) $(WINSTONE_CLUSTER_O) $(WINSTONE_JNDI_O) $(WINSTONE_CLASSLOADER_O) $(WINSTONE_SSL_O) $(WINSTONE_INVOKER_O) $(JSP_API_O)

winstone_lite.o: $(WINSTONE_JAVA_BASE)/winstone/*.java
	$(CC) $(CFLAGS) -o winstone_lite.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/*.java
winstone_res1.o: $(WINSTONE_JAVA_BASE)/winstone/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_res1.o --resource=winstone/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/LocalStrings.properties

winstone_ajp.o: $(WINSTONE_JAVA_BASE)/winstone/ajp13/*.java
	$(CC) $(CFLAGS) -o winstone_ajp.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/ajp13/*.java
winstone_ajp_res1.o: $(WINSTONE_JAVA_BASE)/winstone/ajp13/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_ajp_res1.o --resource=winstone/ajp13/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/ajp13/LocalStrings.properties

winstone_auth.o: $(WINSTONE_JAVA_BASE)/winstone/auth/*.java
	$(CC) $(CFLAGS) -o winstone_auth.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/auth/*.java
winstone_auth_res1.o: $(WINSTONE_JAVA_BASE)/winstone/auth/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_auth_res1.o --resource=winstone/auth/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/auth/LocalStrings.properties

winstone_realm.o: $(WINSTONE_JAVA_BASE)/winstone/realm/*.java
	$(CC) $(CFLAGS) -o winstone_realm.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/realm/*.java
winstone_realm_res1.o: $(WINSTONE_JAVA_BASE)/winstone/realm/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_realm_res1.o --resource=winstone/realm/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/realm/LocalStrings.properties

winstone_cluster.o: $(WINSTONE_JAVA_BASE)/winstone/cluster/*.java
	$(CC) $(CFLAGS) -o winstone_cluster.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/cluster/*.java
winstone_cluster_res1.o: $(WINSTONE_JAVA_BASE)/winstone/cluster/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_cluster_res1.o --resource=winstone/cluster/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/cluster/LocalStrings.properties

winstone_classloader.o: $(WINSTONE_JAVA_BASE)/winstone/classLoader/*.java
	$(CC) $(CFLAGS) -o winstone_classloader.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/classLoader/*.java
winstone_classloader_res1.o: $(WINSTONE_JAVA_BASE)/winstone/classLoader/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_classloader_res1.o --resource=winstone/classLoader/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/classLoader/LocalStrings.properties

winstone_ssl.o: $(WINSTONE_JAVA_BASE)/winstone/ssl/*.java
	$(CC) $(CFLAGS) -o winstone_ssl.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/ssl/*.java
winstone_ssl_res1.o: $(WINSTONE_JAVA_BASE)/winstone/ssl/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_ssl_res1.o --resource=winstone/ssl/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/ssl/LocalStrings.properties

winstone_invoker.o: $(WINSTONE_JAVA_BASE)/winstone/invoker/*.java
	$(CC) $(CFLAGS) -o winstone_invoker.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c $(WINSTONE_JAVA_BASE)/winstone/invoker/*.java
winstone_invoker_res1.o: $(WINSTONE_JAVA_BASE)/winstone/invoker/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_invoker_res1.o --resource=winstone/invoker/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/invoker/LocalStrings.properties

winstone_jndi.o: $(WINSTONE_JAVA_BASE)/winstone/jndi/*.java \
                 $(WINSTONE_JAVA_BASE)/winstone/jndi/java/*.java \
                 $(WINSTONE_JAVA_BASE)/winstone/jndi/resourceFactories/*.java
	$(CC) $(CFLAGS) -o winstone_jndi.o --classpath=$(WINSTONE_JAVA_BASE):$(CRIMSON_BASE) -c \
                 $(WINSTONE_JAVA_BASE)/winstone/jndi/*.java \
                 $(WINSTONE_JAVA_BASE)/winstone/jndi/java/*.java \
                 $(WINSTONE_JAVA_BASE)/winstone/jndi/resourceFactories/*.java
winstone_jndi_res1.o: $(WINSTONE_JAVA_BASE)/winstone/jndi/LocalStrings.properties
	$(CC) $(CFLAGS) -o winstone_jndi_res1.o --resource=winstone/jndi/LocalStrings.properties -c $(WINSTONE_JAVA_BASE)/winstone/jndi/LocalStrings.properties
winstone_jndi_res2.o: $(WINSTONE_RES_BASE)/jndi.properties
	$(CC) $(CFLAGS) -o winstone_jndi_res2.o --resource=jndi.properties -c $(WINSTONE_RES_BASE)/jndi.properties

servlet.o: $(WINSTONE_JAVA_BASE)/javax/servlet/*.java $(WINSTONE_JAVA_BASE)/javax/servlet/http/*.java
	$(CC) $(CFLAGS) -o servlet.o --classpath=$(WINSTONE_JAVA_BASE) -c $(WINSTONE_JAVA_BASE)/javax/servlet/*.java $(WINSTONE_JAVA_BASE)/javax/servlet/http/*.java
servlet_res1.o: $(WINSTONE_RES_BASE)/javax/servlet/resources/web-app_2_2.dtd
	$(CC) $(CFLAGS) -o servlet_res1.o --resource=javax/servlet/resources/web-app_2_2.dtd -c $(WINSTONE_RES_BASE)/javax/servlet/resources/web-app_2_2.dtd
servlet_res2.o: $(WINSTONE_RES_BASE)/javax/servlet/resources/web-app_2_3.dtd
	$(CC) $(CFLAGS) -o servlet_res2.o --resource=javax/servlet/resources/web-app_2_3.dtd -c $(WINSTONE_RES_BASE)/javax/servlet/resources/web-app_2_3.dtd

# Add JSP API classes here
jsp_api.o: $(WINSTONE_JAVA_BASE)/javax/servlet/jsp/*.java $(WINSTONE_JAVA_BASE)/javax/servlet/jsp/tagext/*.java $(WINSTONE_JAVA_BASE)/javax/servlet/jsp/el/*.java
	$(CC) $(CFLAGS) -o jsp_api.o --classpath=$(WINSTONE_JAVA_BASE) -c $(WINSTONE_JAVA_BASE)/javax/servlet/jsp/*.java $(WINSTONE_JAVA_BASE)/javax/servlet/jsp/tagext/*.java $(WINSTONE_JAVA_BASE)/javax/servlet/jsp/el/*.java
jsp_api_res1.o: $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/jsp_2_0.xsd
	$(CC) $(CFLAGS) -o jsp_api_res1.o --resource=javax/servlet/jsp/resources/jsp_2_0.xsd -c $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/jsp_2_0.xsd
jsp_api_res2.o: $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/jspxml.dtd
	$(CC) $(CFLAGS) -o jsp_api_res2.o --resource=javax/servlet/jsp/resources/jspxml.dtd -c $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/jspxml.dtd
jsp_api_res3.o: $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/jspxml.xsd
	$(CC) $(CFLAGS) -o jsp_api_res3.o --resource=javax/servlet/jsp/resources/jspxml.xsd -c $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/jspxml.xsd
jsp_api_res4.o: $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/web-jsptaglibrary_1_1.dtd
	$(CC) $(CFLAGS) -o jsp_api_res4.o --resource=javax/servlet/jsp/resources/web-jsptaglibrary_1_1.dtd -c $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/web-jsptaglibrary_1_1.dtd
jsp_api_res5.o: $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/web-jsptaglibrary_1_2.dtd
	$(CC) $(CFLAGS) -o jsp_api_res5.o --resource=javax/servlet/jsp/resources/web-jsptaglibrary_1_2.dtd -c $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/web-jsptaglibrary_1_2.dtd
jsp_api_res6.o: $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/web-jsptaglibrary_2_0.xsd
	$(CC) $(CFLAGS) -o jsp_api_res6.o --resource=javax/servlet/jsp/resources/web-jsptaglibrary_2_0.xsd -c $(WINSTONE_RES_BASE)/javax/servlet/jsp/resources/web-jsptaglibrary_2_0.xsd

javax_xml.o: $(CRIMSON_BASE)/javax/xml/*/*.java
	$(CC) $(CFLAGS) -o javax_xml.o -c $(CRIMSON_BASE)/javax/xml/*/*.java

xml_api.o: $(CRIMSON_BASE)/org/w3c/dom/*.java $(CRIMSON_BASE)/org/xml/sax/*.java $(CRIMSON_BASE)/org/xml/sax/ext/*.java $(CRIMSON_BASE)/org/xml/sax/helpers/*.java
	$(CC) $(CFLAGS) -o xml_api.o -c $(CRIMSON_BASE)/org/w3c/dom/*.java $(CRIMSON_BASE)/org/xml/sax/*.java $(CRIMSON_BASE)/org/xml/sax/ext/*.java $(CRIMSON_BASE)/org/xml/sax/helpers/*.java

crimson.o: $(CRIMSON_BASE)/org/apache/crimson/*/*.java
	$(CC) $(CFLAGS) -o crimson.o --classpath=$(CRIMSON_BASE) -c $(CRIMSON_BASE)/org/apache/crimson/*/*.java
crimson_res1.o: $(CRIMSON_BASE)/org/apache/crimson/parser/resources/Messages.properties
	$(CC) $(CFLAGS) -o crimson_res1.o --resource=org/apache/crimson/parser/resources/Messages.properties -c $(CRIMSON_BASE)/org/apache/crimson/parser/resources/Messages.properties
crimson_res2.o: $(CRIMSON_BASE)/org/apache/crimson/tree/resources/Messages.properties
	$(CC) $(CFLAGS) -o crimson_res2.o --resource=org/apache/crimson/tree/resources/Messages.properties -c $(CRIMSON_BASE)/org/apache/crimson/tree/resources/Messages.properties

clean:
	rm -f *.o

## jenkins-winstone 0.9.10-jenkins-25+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-25+dfsg-0ubuntu2.2) oneiric-security; urgency=low

  * SECURITY UPDATE: Hash DoS vulnerability in parameter 
    handling (LP: #914628):
    - debian/patches/hash-dos-fix.patch: Cherry picked fix from upstream
      to prevent this vulnerability.
    - http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-01-10.cb

 -- James Page <james.page@ubuntu.com>  Fri, 27 Jan 2012 16:01:06 +0000

jenkins-winstone (0.9.10-jenkins-25+dfsg-0ubuntu2.1) oneiric-security; urgency=low

  * SECURITY UPDATE: XSS vulnerability in default error pages.
    - debian/patches/fix_xss.patch: escape error messages which are supposed 
      be plain text and not markup in
      src/java/winstone/ErrorServlet.java,
      src/java/winstone/URIUtil.java,
      src/java/winstone/WinstoneResponse.java
    - http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2011-11-08.cb
  * d/maven.{properties,ignoreRules}: Disabled testing as htmlunit is 
    currently broken in 11.10.

 -- James Page <james.page@ubuntu.com>  Tue, 22 Nov 2011 12:21:24 +0000

jenkins-winstone (0.9.10-jenkins-25+dfsg-0ubuntu2) oneiric; urgency=low

  * Support offline validation of XML configuration files (LP: #827651):
    - debian/patches/specification-resources.patch: CDDL/GPL-2 licensed
      xsd+DTD resources for all servlet, jsp and j2ee specifications.
    - debian/copyright: documented copyright + license for 
      specification-resources.patch.
    - debian/control: Removed dependency on libservlet2.5-java, no longer
      required.
    - debian/patches/series,debian/patches/use_system_servletapi.patch: 
      Dropped patch as no longer required.
    - debian/libjenkins-winstone-java.classpath: Dropped as all required
      resources are now included in winstone.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Aug 2011 09:55:33 +0100

jenkins-winstone (0.9.10-jenkins-25+dfsg-0ubuntu1) oneiric; urgency=low

  * Initial release 

 -- James Page <james.page@ubuntu.com>  Wed, 29 Jun 2011 12:16:17 +0100

=== debian/control ===
Source: jenkins-winstone
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hudson Ubuntu Packagers <hudson-ubuntu@lists.launchpad.net>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 default-jdk,
 javahelper,
 maven-debian-helper (>= 1.4)
Build-Depends-Indep:
 ant,
 default-jdk-doc,
 junit (>= 3.8.1),
 libhttpunit-java,
 libmaven-antrun-plugin-java,
 libmaven-javadoc-plugin-java,
Standards-Version: 3.9.2
Homepage: http://github.com/jenkinsci/winstone

Package: libjenkins-winstone-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Suggests: libjenkins-winstone-java-doc
Description: Jenkins branch of Winstone servlet container
 Winstone is a servlet container that was written out of a desire to provide
 servlet functionality without the bloat that full J2EE compliance introduces.
 .
 This package contains the Jenkins branch of this project

Package: libjenkins-winstone-java-doc
Architecture: all
Section: doc
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libjenkins-winstone-java
Description: Documentation for libjenkins-winstone-java
 Winstone is a servlet container that was written out of a desire to provide
 servlet functionality without the bloat that full J2EE compliance introduces.
 .
 This package contains the API documentation of libjenkins-winstone-java.

## jenkins-winstone 0.9.10-jenkins-29+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-29+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Nov 2011 16:26:41 +0000

jenkins-winstone (0.9.10-jenkins-28+dfsg-1) unstable; urgency=low

  * Initial Debian release (Closes: #634652)
  * New upstream release

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2011 10:54:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: jenkins-winstone
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hudson Ubuntu Packagers <hudson-ubuntu@lists.launchpad.net>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
  debhelper (>= 7),
@@ -15,9 +15,11 @@
  junit (>= 3.8.1),
  libhttpunit-java,
  libmaven-antrun-plugin-java,
- libmaven-javadoc-plugin-java,
+ libmaven-javadoc-plugin-java
 Standards-Version: 3.9.2
 Homepage: http://github.com/jenkinsci/winstone
+Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
 
 Package: libjenkins-winstone-java
 Architecture: all

## jenkins-winstone 0.9.10-jenkins-31+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-31+dfsg-1) unstable; urgency=low

  [ James Page ]
  * New upstream release:
    - http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-01-10.cb
      Fix Hash DoS vulnerability with HTTP parameters by restricting the 
      number of parameters in any HTTP request.
      (Closes: #655553, LP: #914628)

  [ Damien Raude-Morvan ]
  * Add DM-Upload-Allowed flag for James Page.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Jan 2012 10:25:41 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Homepage: http://github.com/jenkinsci/winstone
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
+DM-Upload-Allowed: yes
 
 Package: libjenkins-winstone-java
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_MAVEN_INSTALL_TO_USJ := false
PACKAGE   := jenkins-winstone
JAR       := winstone
# Parse upstream version without +dfsg for source download+
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')

# Run mh_installjar to ensure USJ name matches package
# and does not conflict with any pure winstone packaged
# sometime in the future
install/lib$(PACKAGE)-java::
	mh_installjar -plib$(PACKAGE)-java --usj-name=$(PACKAGE) -l pom.xml \
		target/$(JAR)-$(DEB_UPSTREAM_VERSION).jar
	jh_classpath -plib$(PACKAGE)-java

# Parse upstream version without +dfsg for source download
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
	mv ../$(PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
		../$(PACKAGE)_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://githubredir.debian.net/github/jenkinsci/winstone/ (.*).tar.gz debian debian/orig-tar.sh

## jenkins-winstone 0.9.10-jenkins-37+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-37+dfsg-2) unstable; urgency=high

  * Fix HTTP splitting vulnerability (Closes: #696974):
    - d/p/CVE-2012-6072.patch: Cherry picked fix from upstream VCS
      which prevents HTTP headers being split into multiple lines.
    - Fixes: CVE-2012-6072

 -- James Page <james.page@ubuntu.com>  Thu, 10 Jan 2013 11:03:23 +0000

jenkins-winstone (0.9.10-jenkins-37+dfsg-1) unstable; urgency=low

  * New upstream release:
    - d/patches/java-1.6.patch: Dropped - upstream is now Java 6 compatible.
    - d/control: Add new dependency on libmaven-enforcer-plugin-java.
  * Fix FTBFS with openjdk-7 (LP: #888947):
    - d/patches/java7-compat.patch: Add stub methods and allow compilation
      with Java 6+.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Jun 2012 20:25:39 +0100

jenkins-winstone (0.9.10-jenkins-35+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.3:
    - d/copyright: Switched Format to reference release version of DEP-5.
  * Added missing patch headers.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Apr 2012 11:44:36 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
  junit (>= 3.8.1),
  libhttpunit-java,
  libmaven-antrun-plugin-java,
- libmaven-javadoc-plugin-java
-Standards-Version: 3.9.2
+ libmaven-javadoc-plugin-java,
+ libmaven-enforcer-plugin-java
+Standards-Version: 3.9.3
 Homepage: http://github.com/jenkinsci/winstone
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git

## jenkins-winstone 0.9.10-jenkins-41+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-41+dfsg-1~exp1) experimental; urgency=low

  * New upstream release:
    - d/p/java7-compat.patch: Dropped - no longer required.
    - d/control,rules: Ensure package is built with Java 7.
  * Tidied lintian warnings.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Jan 2013 17:07:22 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 7),
- default-jdk,
+ openjdk-7-jdk,
  javahelper,
  maven-debian-helper (>= 1.4)
 Build-Depends-Indep:
@@ -17,11 +17,10 @@
  libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-enforcer-plugin-java
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/jenkinsci/winstone
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
-DM-Upload-Allowed: yes
 
 Package: libjenkins-winstone-java
 Architecture: all

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/winstone-// \
 https://github.com/jenkinsci/winstone/tags .*/(.*).tar.gz debian debian/orig-tar.sh

## jenkins-winstone 0.9.10-jenkins-42+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-42+dfsg-1~exp1) experimental; urgency=low

  * New upstream release:
    - d/control,maven.rules: Bump junit -> junit4.

 -- James Page <james.page@ubuntu.com>  Sun, 17 Feb 2013 17:40:14 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends-Indep:
  ant,
  default-jdk-doc,
- junit (>= 3.8.1),
+ junit4,
  libhttpunit-java,
  libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,

## jenkins-winstone 0.9.10-jenkins-47+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-47+dfsg-1) unstable; urgency=low

  * New upstream release. 
  * d/control: Update my email address.

 -- James Page <jamespage@debian.org>  Mon, 12 Aug 2013 16:14:33 +0100

jenkins-winstone (0.9.10-jenkins-42+dfsg-1) unstable; urgency=low

  * Upload to unstable. 

 -- James Page <james.page@ubuntu.com>  Thu, 16 May 2013 11:02:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: James Page <james.page@ubuntu.com>
+Uploaders: James Page <jamespage@debian.org>
 Build-Depends:
  cdbs,
  debhelper (>= 7),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/maven.mk
 
-JAVA_HOME := /usr/lib/jvm/default-java
+DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+JAVA_HOME := /usr/lib/jvm/java-7-openjdk-$(DEB_BUILD_ARCH)
 DEB_MAVEN_INSTALL_TO_USJ := false
 PACKAGE   := jenkins-winstone
 JAR       := winstone
@@ -18,9 +19,6 @@
 		target/$(JAR)-$(DEB_UPSTREAM_VERSION).jar
 	jh_classpath -plib$(PACKAGE)-java
 
-# Parse upstream version without +dfsg for source download
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
-
 get-orig-source:
 	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
 	mv ../$(PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz \

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/winstone-// \
 https://github.com/jenkinsci/winstone/tags .*/winstone-(.*).tar.gz debian debian/orig-tar.sh

## jenkins-winstone 2.8

=== debian/changelog ===
jenkins-winstone (2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed java8-compatibility.patch
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Oct 2014 19:03:34 +0200

jenkins-winstone (2.3-2) unstable; urgency=medium

  * Team upload.
  * Rebuilt with jetty8/ 8.1.16-1 to fix the wrong version of the Servlet API
    embedded in the winstone jar

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Sep 2014 13:24:57 +0200

jenkins-winstone (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Added build dependencies on libjetty8-java, libjetty8-extra-java
      and libmaven-shade-plugin-java
    - Removed specification-resources.patch since the JEE spec files now come
      with Jetty. Removed the related notes in README.source and d/copyright.
    - Refreshed java8-compatibility.patch
    - Disabled the SPDY connector
    - Disabled the tests (requires org.kohsuke:ajp-client)
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Sep 2014 17:03:19 +0200

jenkins-winstone (0.9.10-jenkins-47+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not create a self signed certificate every time the HTTPS connector
    is started without a proper certificate. This fixes the compatibility
    with Java 8 since the sun.security.x509.CertAndKeyGen class has been
    moved to the sun.security.tools.keytool package.
  * debian/control:
    - Build depend on default-jdk instead of openjdk-7-jdk
    - Use canonical URLs for the Vcs-* fields
    - Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Apr 2014 14:02:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,32 @@
 Uploaders: James Page <jamespage@debian.org>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
- openjdk-7-jdk,
+ debhelper (>= 9),
+ default-jdk,
  javahelper,
  maven-debian-helper (>= 1.4)
 Build-Depends-Indep:
  ant,
  default-jdk-doc,
  junit4,
+ libjetty8-java (>= 8.1.16~),
+ libjetty8-extra-java (>= 8.1.16~),
  libhttpunit-java,
  libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,
- libmaven-enforcer-plugin-java
-Standards-Version: 3.9.4
+ libmaven-enforcer-plugin-java,
+ libmaven-shade-plugin-java
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/jenkins-winstone.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/jenkins-winstone.git
 Homepage: http://github.com/jenkinsci/winstone
-Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
 
 Package: libjenkins-winstone-java
 Architecture: all
-Depends: ${maven:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: ${maven:OptionalDepends}
 Suggests: libjenkins-winstone-java-doc
+Built-Using: jetty8 (= ${jetty8:Version})
 Description: Jenkins branch of Winstone servlet container
  Winstone is a servlet container that was written out of a desire to provide
  servlet functionality without the bloat that full J2EE compliance introduces.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java

DEB_MAVEN_INSTALL_TO_USJ := false
PACKAGE   := jenkins-winstone
JAR       := winstone

JETTY_VERSION := $(shell dpkg-query -f '$${source:Version}' --show libjetty8-java)
DEB_DH_GENCONTROL_ARGS_ALL := -- -Vjetty8:Version=${JETTY_VERSION}

# Run mh_installjar to ensure USJ name matches package
# and does not conflict with any pure winstone packaged
# sometime in the future
install/lib$(PACKAGE)-java::
	mh_installpom -plib$(PACKAGE)-java dependency-reduced-pom.xml
	mh_installjar -plib$(PACKAGE)-java --usj-name=$(PACKAGE) -l pom.xml target/$(JAR)-$(DEB_UPSTREAM_VERSION).jar
	jh_classpath -plib$(PACKAGE)-java

clean::
	rm -f dependency-reduced-pom.xml

get-orig-source:
	uscan --download-current-version --force-download --rename

## jenkins-winstone 2.9

=== debian/changelog ===
jenkins-winstone (2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Removed the unused dependency on maven-antrun-plugin to fix a build
    failure with Maven 3 (Closes: #807660)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 12 Dec 2015 12:25:35 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  libjetty8-java (>= 8.1.16~),
  libjetty8-extra-java (>= 8.1.16~),
  libhttpunit-java,
- libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-enforcer-plugin-java,
  libmaven-shade-plugin-java
